/*
 * PieDataset.java
 *
 * Created on 15 agosto 2005, 17.49
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport.chart;
import java.util.*;
/**
 *
 * @author Administrator
 */
public class TimePeriodDataset extends Dataset {
    
    private Vector timePeriodSeries = null;
        
    /** Creates a new instance of PieDataset */
    public TimePeriodDataset() {
        super();
        setTimePeriodSeries(new Vector());
    }   

    public Vector getTimePeriodSeries() {
        return timePeriodSeries;
    }

    public void setTimePeriodSeries(Vector timePeriodSeries) {
        this.timePeriodSeries = timePeriodSeries;
    }
    
    public Dataset cloneMe()
    {
        TimePeriodDataset obj = new TimePeriodDataset();
        copyBaseDataset(obj);
        for (int i=0; i<getTimePeriodSeries().size(); ++i)
        {
            obj.getTimePeriodSeries().addElement( ((TimePeriodSeries)getTimePeriodSeries().elementAt(i)).cloneMe() );
        }
        
        return obj;
    }
}
